@echo off
if "%1"=="/?" goto help
if "%1"=="-?" goto help
if "%1"=="/h" goto help
if "%1"=="-h" goto help
if "%1"=="/H" goto help
if "%1"=="-H" goto help
if not "%2"=="" goto help

set _DEST=%systemroot%
if not "%1"=="" set _DEST=%1
echo.
echo Now copying symbols from the CD...
echo.
xcopy . %_DEST%\symbols /esikhfr
if errorlevel==1 goto bad
echo.
echo SYMBOLS INSTALLED SUCCESSFULLY.
echo.
goto done


:bad
echo.
echo ERROR!  Something went wrong while copying.  Check the error message
echo         on the screen above and retry symbol installation.
echo.
goto done


:help
echo.
echo Usage: INST_SYM [destination]
echo.
echo With no arguments, this will install the symbols for the currently booted
echo WinFrame installation.  If you have multiple installations and wish to
echo install them to a different installation, than the one that is currently
echo running, just add a parameter for the base directory of the alternate
echo installation.  For example, if your alternate installation is C:\WF17_A,
echo just type: 'INST_SYM C:\WF17'.
echo.


:done
set _DEST=

